Compatibility between Ranorex and Flutter Google

Technology specific object identification, supported applications, web technologies, and 3rd party controls.
harakamohammed
Posts: 1
Joined: Mon Dec 10, 2018 4:01 pm

Compatibility between Ranorex and Flutter Google

Post by harakamohammed » Mon Dec 10, 2018 4:08 pm

Hello,
I am using ranorex to automate my mobile application devloped with Flutter Google, and I can not identify the objects :| ,
My question is: is FLutter technology supported by Ranorex 8.3 :?: :?:

thank you.
Regadrs ,
Mohammed

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 4672
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Compatibility between Ranorex and Flutter Google

Post by odklizec » Tue Dec 11, 2018 10:15 am

Hi,

I don't think there is any specific support for Futter. It seems they only recently published a first stable release? ;) Could you please post a Ranorex snapshot (NOT screenshot) of your app made with Flutter? Are you sure the app made with Flutter is correctly instrumented with Ranorex? Without instrumenting, Ranorex is unable to access and control Android/iOS apps, no matter what frameworks they were built on.
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

m.haraka
Posts: 1
Joined: Wed Oct 31, 2018 6:03 pm

Re: Compatibility between Ranorex and Flutter Google

Post by m.haraka » Tue Dec 11, 2018 2:52 pm

Hello odklizec,
Thank you a lot for your response.
Please find in the attachment the screenshot for EditSpy and also the snapshoot

Regards,
Mohammed
Attachments
ProjectRepository.rxrep
(13.7 KiB) Downloaded 4 times
Repo.PNG
Repo.PNG (47.17 KiB) Viewed 155 times

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 4672
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Compatibility between Ranorex and Flutter Google

Post by odklizec » Wed Dec 12, 2018 10:48 am

Hi,

I don't see anything wrong with repository you posted? And the screenshot is unfortunately not very helpful. Please post a Ranorex snapshot instead. However, I think even with snapshot, there is not much anyone here can do or suggest. Ranorex support would most probably need a sample app to be able to figure something out?

Anyway, as mentioned, Flutter is too fresh and most probably not used by too many developers, which means it may not even be tested by Ranorex folks. I would suggest you to contact Ranorex support via their support form and eventually, create a user voice regarding Flutter support...
https://uservoice.ranorex.com/forums/15 ... ve-ranorex
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration